libzypp 17.37.10

zypp::ui::selfilter::ByKind Struct Reference

`#include <zypp/ui/SelFilters.h>`

## Public Member Functions
| ByKind (ResKind kind_r)
bool | operator() (const Selectable::constPtr &obj) const

## Public Attributes
ResKind | _kind

## Detailed Description

Definition at line 32 of file SelFilters.h.

## Constructor & Destructor Documentation

## ◆ ByKind()

zypp::ui::selfilter::ByKind::ByKind | ( | ResKind | kind_r | ) |
| inline

Definition at line 34 of file SelFilters.h.

## Member Function Documentation

## ◆ operator()()

bool zypp::ui::selfilter::ByKind::operator() | ( | const Selectable::constPtr & | obj | ) | const
| inline

Definition at line 38 of file SelFilters.h.

## Member Data Documentation

## ◆ _kind

ResKind zypp::ui::selfilter::ByKind::_kind

Definition at line 43 of file SelFilters.h.

The documentation for this struct was generated from the following file:

- zypp/ui/SelFilters.h